/*
 * Turbo Programmer Utilities, turbo-prog-utils, www.bladox.com 
 *
 * Copyright (C) 2004 BLADOX, s.r.o.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 */

#ifndef _AVR_PROG_H_
#define _AVR_PROG_H_

#define APP_AVR_PROG "avrprog.trb"

#define ACTION_AVR_PROG_INIT 			0x80

#define ACTION_AVR_GET_PART_INFO 		0x81

#define ACTION_AVR_READ_FUSE_LOW_BYTE 		0x82
#define ACTION_AVR_WRITE_FUSE_LOW_BYTE		0x83

#define ACTION_AVR_READ_FUSE_HIGH_BYTE 		0x84
#define ACTION_AVR_WRITE_FUSE_HIGH_BYTE		0x85

#define ACTION_AVR_READ_FUSE_EXTENDED_BYTE	0x86
#define ACTION_AVR_WRITE_FUSE_EXTENDED_BYTE	0x87

#define ACTION_AVR_READ_CALIBRATE_BYTE 		0x88

#define ACTION_AVR_READ_LOCK_BITS 		0x89
#define ACTION_AVR_WRITE_LOCK_BITS		0x8A

#define ACTION_AVR_CHIP_ERASE			0x8B

#define ACTION_AVR_READ_BYTE_FLASH		0x8C
#define ACTION_AVR_WRITE_BYTE_FLASH		0x8D

#define ACTION_AVR_READ_CHUNK_FLASH		0x8E
#define ACTION_AVR_WRITE_CHUNK_FLASH		0x8F

#define ACTION_AVR_READ_BYTE_EEPROM		0x90
#define ACTION_AVR_WRITE_BYTE_EEPROM		0x91

#define ACTION_AVR_READ_CHUNK_EEPROM		0x92
#define ACTION_AVR_WRITE_CHUNK_EEPROM		0x93

#endif
