/*
 * Turbo Programmer Utilities, turbo-prog-utils, www.bladox.com 
 *
 * Copyright (C) 2004 BLADOX, s.r.o.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 */

#ifndef _CONFIG_TURBO_
#define _CONFIG_TURBO_

#define DEBUG

#define CONFIG_LANG_EN
#define CONFIG_LANG_DE
#define CONFIG_LANG_IT
#define CONFIG_LANG_FR
#define CONFIG_LANG_ES
#define CONFIG_LANG_NL
#define CONFIG_LANG_SE
#define CONFIG_LANG_DK
#define CONFIG_LANG_PT
#define CONFIG_LANG_FI
#define CONFIG_LANG_NO
#define CONFIG_LANG_EL
#define CONFIG_LANG_TR
#define CONFIG_LANG_HU
#define CONFIG_LANG_PL
#define CONFIG_LANG_UN
#define CONFIG_LANG_CZ
#define CONFIG_LANG_HE
#define CONFIG_LANG_AR
#define CONFIG_LANG_RU
#define CONFIG_LANG_IS


//-------------------------------------------------------------------
// PINS
//-------------------------------------------------------------------

#define PROG_SCK_DDR DDRB
#define PROG_SCK_DDR_DD DD1
#define PROG_SCK_PORT PORTB
#define PROG_SCK_PORT_PIN PORT1

#define DEBUG_MOSI_DDR DDRB
#define DEBUG_MOSI_DDR_DD DD2
#define DEBUG_MOSI_PORT PORTB
#define DEBUG_MOSI_PORT_PIN PORT2

#define DEBUG_MISO_DDR DDRB
#define DEBUG_MISO_DDR_DD DD3
#define DEBUG_MISO_PORT PORTB
#define DEBUG_MISO_PORT_PIN PORT3

#define DEBUG_SS_MCU_DDR DDRB
#define DEBUG_SS_MCU_DDR_DD DD0
#define DEBUG_SS_MCU_PORT PORTB
#define DEBUG_SS_MCU_PORT_PIN PORT0


#endif
